import sale.*;
import sale.stdforms.*;
import users.*;

import java.io.*;

import javax.swing.*;


/**
 * Diese Klasse implementiert das B&uuml;ro. Hier kann der Manager das
 * Logfile einsehen und Videos nachkaufen oder aus dem Bestand nehmen.
 */
public class Office extends SalesPoint
{
  //// attributes ////////////////////////////////////////////////////////////

  // Managerpasswort
  private static String password;


  //// constructor ///////////////////////////////////////////////////////////

  /**
   * Konstuktor.
   */
  public Office(String name)
  {
    super(name);
  }


  //// public methods ///////////////////////////////////////////////////////

  /**
   * Gibt das Standard-FormSheet fr das B&uuml;ro zur&uuml;ck.
   */
  public FormSheet getDefaultFormSheet()
  {
    return new FormSheet("Office", new DefaultOfficeFormCreator(this), false);
  }

  /**
   * Setzt das Managerpasswort.
   */
  public static void setPassword(String password)
  {
    Office.password = password;
  }


  /**
   * Testet ob das &uuml;bergebene Passwort das Managerpasswort ist.
   */
  public static boolean testPassword(String password)
  {
    return password.equals(Office.password);
  }

}
